petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSAdaptCreate

create an adaptive controller context for time stepping

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptCreate(MPI_Comm comm,TSAdapt *inadapt)

Collective on MPI_Comm

### Input Parameter

comm -The communicator

### Output Parameter

adapt -new TSAdapt object

### Notes

TSAdapt creation is handled by TS, so users should not need to call this function.

### Keywords

TSAdapt, create

### See Also

TSGetAdapt(), TSAdaptSetType(), TSAdaptDestroy()

Level:developer
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages